﻿import cmdlib
import es

addon = es.import_addon("soccer_mod_2011/cfg")

# ******************** Load ********************
def load():
	addon.reg("sm_cap_command_pick", "!pick", "soccer_mod_2011/modules/cap/cmd_pick")
	addon.reg("sm_cap_command_position", "!pos", "soccer_mod_2011/modules/cap/cmd_position")

	cmdlib.registerServerCommand("soccer_mod_cap_command_pick", command_pick, "Server Command")
	cmdlib.registerServerCommand("soccer_mod_cap_command_position", command_position, "Server Command")

# ******************** Commands ********************
def command_pick(args):
	addon.unreg("sm_cap_command_pick")
	addon.reg("sm_cap_command_pick", args[0], "soccer_mod_2011/modules/cap/cmd_pick")

def command_position(args):
	addon.unreg("sm_cap_command_position")
	addon.reg("sm_cap_command_position", args[0], "soccer_mod_2011/modules/cap/cmd_position")

# ******************** Unload ********************
def unload():
	cmdlib.unregisterServerCommand("soccer_mod_cap_command_pick")
	cmdlib.unregisterServerCommand("soccer_mod_cap_command_position")

	addon.unreg("sm_cap_command_pick")
	addon.unreg("sm_cap_command_position")