﻿import cmdlib
import es
import langlib
import popuplib

popup_text = langlib.Strings("cstrike/addons/eventscripts/soccer_mod_2011/language/modules/referee/popup_admin_referee_warn.ini")

# ******************** Load ********************
def load():
	es.set("sm_referee_warning_1", "keeper blocking")
	es.set("sm_referee_warning_2", "making a spawn goal")
	es.set("sm_referee_warning_3", "ball stealing")
	es.set("sm_referee_warning_4", "bunnyhopping")
	es.set("sm_referee_warning_5", "spamming")
	es.set("sm_referee_warning_6", "swearing")
	es.set("sm_referee_warning_7", "not playing soccer")

	cmdlib.registerServerCommand("soccer_mod_referee_warning_1", warning_1, "Server Command")
	cmdlib.registerServerCommand("soccer_mod_referee_warning_2", warning_2, "Server Command")
	cmdlib.registerServerCommand("soccer_mod_referee_warning_3", warning_3, "Server Command")
	cmdlib.registerServerCommand("soccer_mod_referee_warning_4", warning_4, "Server Command")
	cmdlib.registerServerCommand("soccer_mod_referee_warning_5", warning_5, "Server Command")
	cmdlib.registerServerCommand("soccer_mod_referee_warning_6", warning_6, "Server Command")
	cmdlib.registerServerCommand("soccer_mod_referee_warning_7", warning_7, "Server Command")

	es.set("sm_referee_sound_whistle", "soccer_mod/referee/whistle.wav")
	es.set("sm_referee_sound_red_card", "soccer_mod/referee/itsred.mp3")

	cmdlib.registerServerCommand("soccer_mod_referee_sound_whistle", sound_whistle, "Server Command")
	cmdlib.registerServerCommand("soccer_mod_referee_sound_red_card", sound_red_card, "Server Command")

	es.set("sm_referee_sound_fireworks", "soccer_mod/referee/fireworks.wav")
	es.set("sm_referee_sound_give_dope", "soccer_mod/referee/heartbeat.wav")
	es.set("sm_referee_sound_out_breath", "soccer_mod/referee/outofbreath.wav")
	es.set("sm_referee_sound_lightning", "soccer_mod/referee/lightning.mp3")
	es.set("sm_referee_sound_cheer_leader_1", "soccer_mod/referee/cheerleader_gogo.wav")
	es.set("sm_referee_sound_cheer_leader_2", "soccer_mod/referee/cheerleader_pushemback.wav")
	es.set("sm_referee_sound_cheer_leader_3", "soccer_mod/referee/cheerleader_winwin.wav")

	cmdlib.registerServerCommand("soccer_mod_referee_sound_fireworks", sound_fireworks, "Server Command")
	cmdlib.registerServerCommand("soccer_mod_referee_sound_give_dope", sound_give_dope, "Server Command")
	cmdlib.registerServerCommand("soccer_mod_referee_sound_out_breath", sound_out_breath, "Server Command")
	cmdlib.registerServerCommand("soccer_mod_referee_sound_lightning", sound_lightning, "Server Command")
	cmdlib.registerServerCommand("soccer_mod_referee_sound_cheer_leader_1", sound_cheer_leader_1, "Server Command")
	cmdlib.registerServerCommand("soccer_mod_referee_sound_cheer_leader_2", sound_cheer_leader_2, "Server Command")
	cmdlib.registerServerCommand("soccer_mod_referee_sound_cheer_leader_3", sound_cheer_leader_3, "Server Command")

# ******************** Commands ********************
def warning_1(args):
	es.set("sm_referee_warning_1", args[0])
	if popuplib.exists("sm_popup_admin_referee_warn"):
		tokens = {}
		tokens["warning"] = args[0]
		popuplib.find("sm_popup_admin_referee_warn").modline(3, "->1. %s" % (popup_text("warning", tokens)))

def warning_2(args):
	es.set("sm_referee_warning_2", args[0])
	if popuplib.exists("sm_popup_admin_referee_warn"):
		tokens = {}
		tokens["warning"] = args[0]
		popuplib.find("sm_popup_admin_referee_warn").modline(4, "->2. %s" % (popup_text("warning", tokens)))

def warning_3(args):
	es.set("sm_referee_warning_3", args[0])
	if popuplib.exists("sm_popup_admin_referee_warn"):
		tokens = {}
		tokens["warning"] = args[0]
		popuplib.find("sm_popup_admin_referee_warn").modline(5, "->3. %s" % (popup_text("warning", tokens)))

def warning_4(args):
	es.set("sm_referee_warning_4", args[0])
	if popuplib.exists("sm_popup_admin_referee_warn"):
		tokens = {}
		tokens["warning"] = args[0]
		popuplib.find("sm_popup_admin_referee_warn").modline(6, "->4. %s" % (popup_text("warning", tokens)))

def warning_5(args):
	es.set("sm_referee_warning_5", args[0])
	if popuplib.exists("sm_popup_admin_referee_warn"):
		tokens = {}
		tokens["warning"] = args[0]
		popuplib.find("sm_popup_admin_referee_warn").modline(7, "->5. %s" % (popup_text("warning", tokens)))

def warning_6(args):
	es.set("sm_referee_warning_6", args[0])
	if popuplib.exists("sm_popup_admin_referee_warn"):
		tokens = {}
		tokens["warning"] = args[0]
		popuplib.find("sm_popup_admin_referee_warn").modline(8, "->6. %s" % (popup_text("warning", tokens)))

def warning_7(args):
	es.set("sm_referee_warning_7", args[0])
	if popuplib.exists("sm_popup_admin_referee_warn"):
		tokens = {}
		tokens["warning"] = args[0]
		popuplib.find("sm_popup_admin_referee_warn").modline(9, "->7. %s" % (popup_text("warning", tokens)))

def sound_whistle(args):
	es.set("sm_referee_sound_whistle", args[0])

def sound_red_card(args):
	es.set("sm_referee_sound_red_card", args[0])

def sound_fireworks(args):
	es.set("sm_referee_sound_fireworks", args[0])

def sound_give_dope(args):
	es.set("sm_referee_sound_give_dope", args[0])

def sound_out_breath(args):
	es.set("sm_referee_sound_out_breath", args[0])

def sound_lightning(args):
	es.set("sm_referee_sound_lightning", args[0])

def sound_cheer_leader_1(args):
	es.set("sm_referee_sound_cheer_leader_1", args[0])

def sound_cheer_leader_2(args):
	es.set("sm_referee_sound_cheer_leader_2", args[0])

def sound_cheer_leader_3(args):
	es.set("sm_referee_sound_cheer_leader_3", args[0])

# ******************** Unload ********************
def unload():
	cmdlib.unregisterServerCommand("soccer_mod_referee_warning_1")
	cmdlib.unregisterServerCommand("soccer_mod_referee_warning_2")
	cmdlib.unregisterServerCommand("soccer_mod_referee_warning_3")
	cmdlib.unregisterServerCommand("soccer_mod_referee_warning_4")
	cmdlib.unregisterServerCommand("soccer_mod_referee_warning_5")
	cmdlib.unregisterServerCommand("soccer_mod_referee_warning_6")
	cmdlib.unregisterServerCommand("soccer_mod_referee_warning_7")

	cmdlib.unregisterServerCommand("soccer_mod_referee_sound_whistle")
	cmdlib.unregisterServerCommand("soccer_mod_referee_sound_red_card")

	cmdlib.unregisterServerCommand("soccer_mod_referee_sound_fireworks")
	cmdlib.unregisterServerCommand("soccer_mod_referee_sound_give_dope")
	cmdlib.unregisterServerCommand("soccer_mod_referee_sound_out_breath")
	cmdlib.unregisterServerCommand("soccer_mod_referee_sound_lightning")
	cmdlib.unregisterServerCommand("soccer_mod_referee_sound_cheer_leader_1")
	cmdlib.unregisterServerCommand("soccer_mod_referee_sound_cheer_leader_2")
	cmdlib.unregisterServerCommand("soccer_mod_referee_sound_cheer_leader_3")